EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_ALERT_POPUP_EVENT_BUTTON_CLICKED =
   EFL_EVENT_DESCRIPTION("button,clicked");

void _efl_ui_alert_popup_button_set(Eo *obj, Efl_Ui_Alert_Popup_Data *pd, Efl_Ui_Alert_Popup_Button type, const char *text, Efl_Canvas_Object *icon);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_alert_popup_button_set, EFL_FUNC_CALL(type, text, icon), Efl_Ui_Alert_Popup_Button type, const char *text, Efl_Canvas_Object *icon);

Efl_Object *_efl_ui_alert_popup_efl_object_constructor(Eo *obj, Efl_Ui_Alert_Popup_Data *pd);


void _efl_ui_alert_popup_efl_object_destructor(Eo *obj, Efl_Ui_Alert_Popup_Data *pd);


Efl_Object *_efl_ui_alert_popup_efl_part_part_get(const Eo *obj, Efl_Ui_Alert_Popup_Data *pd, const char *name);


static Eina_Bool
_efl_ui_alert_popup_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_ALERT_POPUP_EXTRA_OPS
#define EFL_UI_ALERT_POPUP_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_alert_popup_button_set, _efl_ui_alert_popup_button_set),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_alert_popup_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_alert_popup_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_alert_popup_efl_part_part_get),
      EFL_UI_ALERT_POPUP_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_alert_popup_class_desc = {
   EO_VERSION,
   "Efl.Ui.Alert_Popup",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Alert_Popup_Data),
   _efl_ui_alert_popup_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_alert_popup_class_get, &_efl_ui_alert_popup_class_desc, EFL_UI_POPUP_CLASS, NULL);
